services:
  _defaults:
    autowire: true
    autoconfigure: true

  # /products/{product_id}/attributes/{attribute_id}/property
  XLite\API\Endpoint\AttributeProperty\Transformer\OutputTransformerInterface: '@XLite\API\Endpoint\AttributeProperty\Transformer\OutputTransformer'
  XLite\API\Endpoint\AttributeProperty\Transformer\OutputTransformer: ~
  XLite\API\Endpoint\AttributeProperty\Transformer\InputTransformerInterface: '@XLite\API\Endpoint\AttributeProperty\Transformer\InputTransformer'
  XLite\API\Endpoint\AttributeProperty\Transformer\InputTransformer: ~

  XLite\API\Endpoint\AttributeProperty\SubExtension\AttributePropertySubExtension:
    tags: [!php/const XLite\API\Extension\ItemSubExtension\ItemSubExtensionInterface::ITEM_SUB_EXTENSION_TAG, !php/const XLite\API\Extension\CollectionSubExtension\CollectionSubExtensionInterface::COLLECTION_SUB_EXTENSION_TAG]

  XLite\Controller\API\AttributeProperty\Post:
    tags: ['controller.service_arguments']

  XLite\API\Endpoint\AttributeProperty\SubIriConverter\AttributePropertySubIriConverter:
    tags: [!php/const XCart\Framework\ApiPlatform\Core\Bridge\Symfony\Routing\SubIriConverter\SubIriFromItemConverterInterface::SUB_IRI_FROM_ITEM_CONVERTER_TAG]

  XLite\API\Endpoint\AttributeProperty\DataProvider\ItemDataProvider: ~
